Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class Entity

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Entity

All Implemented Interfaces:
  java.lang.Comparable, XMLSerializable

Direct Known Subclasses:
  Group, MIME, User

public abstract class Entity
extends java.lang.Object
implements java.lang.Comparable, XMLSerializable

Entity
Cette classe défini le comportement d'une entité abstraite
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.3 $
Author:
  Mathieu Larchet

Constructor Summary
`Entity()` Constructeur

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare deux entités suivant leur nom ou leur identifiant Implements Comparable interface
`abstract boolean` | `equals(java.lang.Object o)` Teste l'égalité de deux entités Override Object.equals() method
`java.lang.String` | `getId()` Retourne l'identifiant
`java.lang.String` | `getName()` Retourne le nom
`void` | `setId(java.lang.String id)` Positionne l'identifiant
`void` | `setName(java.lang.String name)` Positionne le nom
`abstract java.lang.String` | `toXMLString()` La représentation XML de cet objet Implements XMLSerializable interface

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Entity

    public Entity()

  Constructeur

Method Detail

### getId

    public java.lang.String getId()

  Retourne l'identifiant

  Returns:
    id L'identifiant

### setId

    public void setId(java.lang.String id)

  Positionne l'identifiant

  Parameters:
    `id` - L'identifiant

### getName

    public java.lang.String getName()

  Retourne le nom

  Returns:
    name Le nom

### setName

    public void setName(java.lang.String name)

  Positionne le nom

  Parameters:
    `name` - Le nom

### equals

    public abstract boolean equals(java.lang.Object o)

  Teste l'égalité de deux entités Override Object.equals() method

  Parameters:
    `o` - Objet à tester

### compareTo

    public int compareTo(java.lang.Object o)

  Compare deux entités suivant leur nom ou leur identifiant Implements Comparable interface

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - Objet à comparer

### toXMLString

    public abstract java.lang.String toXMLString()

  La représentation XML de cet objet Implements XMLSerializable interface

  Specified by:
    `toXMLString` in interface `XMLSerializable`
  Returns:
    Le flux XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD